Upstream information

CVE-2021-32055 at MITRE

Description

Mutt 1.11.0 through 2.0.x before 2.0.7 (and NeoMutt 2019-10-25 through 2021-05-04) has a $imap_qresync issue in which imap/util.c has an out-of-bounds read in situations where an IMAP sequence set ends with a comma. NOTE: the $imap_qresync setting for QRESYNC is not enabled by default.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:N/AC:M/Au:N/C:P/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.1 5.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:H
Access Vector Network Network
Access Complexity Low High
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1185705 [NEW]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
openSUSE Tumbleweed
  • mutt >= 2.0.7-2.2
  • mutt-doc >= 2.0.7-2.2
  • mutt-lang >= 2.0.7-2.2
Patchnames:
openSUSE Tumbleweed GA mutt-2.0.7-2.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 mutt Not affected
SLE-HPC (12) mutt Not affected
SLES (12) mutt Not affected
SLES-BCL (12) mutt Not affected
SLES-ESPOS (12) mutt Not affected
SLES-LTSS (12) mutt Not affected
SLES-LTSS (15) mutt Not affected
SLES-LTSS-ERICSSON (12) mutt Not affected
SLES-LTSS-SAP (12) mutt Not affected
SLES_BCL (15) mutt Not affected
SLES_SAP (12) mutt Not affected
SLES_SAP (15) mutt Not affected
SLE_HPC-ESPOS (15) mutt Not affected
SLE_HPC-LTSS (15) mutt Not affected
SUSE CaaS Platform 4.0 mutt Not affected
SUSE Enterprise Storage 6 mutt Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 mutt Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS mutt Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS mutt Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 mutt Not affected
SUSE Linux Enterprise Point of Service 11 SP3 mutt Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS mutt Not affected
SUSE Linux Enterprise Server 12 SP2 BCL mutt Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS ERICSSON mutt Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS SAP mutt Not affected
SUSE Linux Enterprise Server 12 SP3 BCL mutt Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS mutt Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS mutt Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS mutt Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS mutt Not affected
SUSE Linux Enterprise Server 12 SP5 mutt Not affected
SUSE Linux Enterprise Server 15 LTSS mutt Not affected
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux mutt Not affected
SUSE Linux Enterprise Server 15 SP1 LTSS mutt Not affected
SUSE Linux Enterprise Server ESPOS 15 mutt Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 mutt Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 mutt Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 mutt Not affected
SUSE Linux Enterprise Server for SAP Applications 15 mutt Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 mutt Not affected
SUSE Manager Proxy 4.0 mutt Not affected
SUSE Manager Retail Branch Server 4.0 mutt Not affected
SUSE Manager Server 4.0 mutt Not affected
SUSE OpenStack Cloud 8 mutt Not affected
SUSE OpenStack Cloud 9 mutt Not affected
SUSE OpenStack Cloud Crowbar 8 mutt Not affected
SUSE OpenStack Cloud Crowbar 9 mutt Not affected
SUSE-Manager-Proxy (4.0) mutt Not affected
SUSE-Manager-Retail-Branch-Server (4.0) mutt Not affected
SUSE-Manager-Server (4.0) mutt Not affected
SUSE_SLES_LTSS (11) mutt Not affected
caasp (4.0) mutt Not affected
hpe-helion-openstack (8) mutt Not affected
ses (6) mutt Not affected
sle-module-basesystem (15) mutt Not affected
sle-pos (11) mutt Not affected
suse-openstack-cloud (8) mutt Not affected
suse-openstack-cloud (9) mutt Not affected
suse-openstack-cloud-crowbar (8) mutt Not affected
suse-openstack-cloud-crowbar (9) mutt Not affected